import {
  a as g
} from "./chunk-OZZTU5I7.js";
import {
  a as i
} from "./chunk-NDNECGXU.js";
import {
  a as n,
  c as o
} from "./chunk-IO47FP3U.js";

// ../node_modules/refractor/lang/etlua.js
var c = o((d, l) => {
  var s = g(), p = i();
  l.exports = u;
  u.displayName = "etlua";
  u.aliases = [];
  function u(a) {
    a.register(s), a.register(p), function(e) {
      e.languages.etlua = {
        delimiter: {
          pattern: /^<%[-=]?|-?%>$/,
          alias: "punctuation"
        },
        "language-lua": {
          pattern: /[\s\S]+/,
          inside: e.languages.lua
        }
      }, e.hooks.add("before-tokenize", function(t) {
        var r = /<%[\s\S]+?%>/g;
        e.languages["markup-templating"].buildPlaceholders(
          t,
          "etlua",
          r
        );
      }), e.hooks.add("after-tokenize", function(t) {
        e.languages["markup-templating"].tokenizePlaceholders(t, "etlua");
      });
    }(a);
  }
  n(u, "etlua");
});

export {
  c as a
};
